iOS

打开xcode报错: "The package “MobileDevice.pkg” is untrusted.

简介:MaOS Catalina升级后,打开xcode报错: "The package “MobileDevice.pkg” is untrusted.

升级 Macos Catalina 10.15 (19A602) 后 Xcode 重新安装Components, 在安装Components时报错:
截屏2019-10-26上午10.25.37.png

An unknown error occurred. See the installlog for more details`。

通过install Log获取到问题所在:

2019-10-26 10:20:05+08 localhost Xcode[2194]: Package: PKLeopardPackage <id=com.apple.pkg.MobileDevice, version=4.0.0.0.1.1567124787, url=file:///Applications/Xcode.app/Contents/Resources/Packages/MobileDevice.pkg> Failed to verify with error: Error Domain=PKInstallErrorDomain Code=102 "The package “MobileDevice.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “MobileDevice.pkg” is untrusted., 

截屏2019-10-26上午10.45.26.png
这是因为MobileDevice.pkg的日期过期,导致不被信任。
解决方法:修改mac os的系统时间为2019-10-1后, 重写打开xcode,安装在安装Components成功。

参考资料
https://stackoverflow.com/questions/58550284/mobiledevice-pkg-untrusted-cannot-open-xcode-after-os-x-update

推荐阅读

目录